$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.127.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.127.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '38412D2F49FD6BA9142060CB25E500E9DE4B15E1EF68E7D8CDDC28C729E9D51F'
  checksumType = 'sha256'
  checksum64 = '38412D2F49FD6BA9142060CB25E500E9DE4B15E1EF68E7D8CDDC28C729E9D51F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.127-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
